Bug 484692 - KMS/UMS:M76:Radeon Mobility HD 2600 Series Display flickers
KMS/UMS:M76:Radeon Mobility HD 2600 Series Display flickers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 10:35 EST by Leif Gruenwoldt
Modified: 2018-04-11 04:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-09 12:44:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
run without any /etc/X11/xorg.conf (510.69 KB, text/plain)
2009-02-10 17:28 EST, Leif Gruenwoldt
no flags Details
Xorg.0.log from latest git has regression too (274.03 KB, text/plain)
2009-02-11 11:16 EST, Leif Gruenwoldt
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 19960 None None None Never

  None (edit)
Description Leif Gruenwoldt 2009-02-09 10:35:30 EST
Description of problem:

External DVI display on flickers to black. This is a regression.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.10.0-1.fc10.i386, does not work
xorg-x11-drv-ati-6.9.0-63.fc10, worked beautifully

How reproducible:

Everytime.


Steps to Reproduce:
1. boot with default radeon driver (no xorg.conf) and external display connected
2. login
3. external DVI display flickers and is unusable
  
Actual results:

Image that flickers to black.

Expected results:

Stable image.

Additional info:

HP Compaq 8510p laptop.
HP LP2465 DVI display.

$ lspci | grep ATI
01:00.0 VGA compatible controller: ATI Technologies Inc M76 [Radeon Mobility HD 2600 Series]
01:00.1 Audio device: ATI Technologies Inc RV630/M76 audio device [Radeon HD 2600 Series]

$ xrandr -q
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 3840 x 1920
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS connected 1680x1050+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1680x1050      59.9*+
   1400x1050      60.0  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  
DVI-0 connected (normal left inverted right x axis y axis)
   1920x1200      60.0 +
   1600x1200      60.0  
   1680x1050      59.9  
   1600x1000      60.0  
   1400x1050      74.8     60.0  
   1280x1024      85.0     75.0     60.0  
   1280x960       85.0     60.0  
   1152x864       75.0  
   1152x720       60.0  
   1024x768       85.0     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     75.0     72.8     75.0     59.9  
   720x400        85.0     70.1  
   640x400        85.1  
   640x350        85.1  
HDMI-0 connected (normal left inverted right x axis y axis)
   1920x1200      60.0 +
   1600x1200      60.0  
   1680x1050      59.9  
   1600x1000      60.0  
   1400x1050      74.8     60.0  
   1280x1024      85.0     75.0     60.0  
   1280x960       85.0     60.0  
   1152x864       75.0  
   1152x720       60.0  
   1024x768       85.0     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     75.0     72.8     75.0     59.9  
   720x400        85.0     70.1  
   640x400        85.1  
   640x350        85.1
Comment 1 Matěj Cepl 2009-02-10 13:29:32 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Leif Gruenwoldt 2009-02-10 17:28:54 EST
Created attachment 331491 [details]
run without any /etc/X11/xorg.conf
Comment 3 Leif Gruenwoldt 2009-02-11 11:16:11 EST
Created attachment 331579 [details]
Xorg.0.log from latest git has regression too
Comment 4 Leif Gruenwoldt 2009-06-12 15:51:03 EDT
Still a problem on Fedora 11.

$ rpm -q xorg-x11-drv-ati
xorg-x11-drv-ati-6.12.2-14.fc11.i586

I found a workaround though, maybe this will help in fixing this bug too?

xrandr --newmode "1920x1200_60.00"  162  1920 2048 2256 2592  1200 1201 1204 1242  -HSync +Vsync
xrandr --addmode DVI-0 1920x1200_60.00
xrandr --output DVI-0 --mode 1920x1200_60.00
xrandr --output DVI-0 --right-of LVDS
Comment 5 Leif Gruenwoldt 2009-06-12 16:02:21 EDT
I should note the flickering *only* happens when I set my monitor to native 1920x1200 resolution as exposed through xrandr.

$ xrandr --output DVI-0 --mode 1920x1200

If I choose 1680x1050 there is no flickering. 

However using the custom 1920x1200 modeline I mentioned in comment #4 fixes the flickering.
Comment 6 Leif Gruenwoldt 2009-11-03 11:09:26 EST
Using the latest from rawhide things have gotten worse. 

The external 1920x1200 DVI display does not even come on to flicker anymore. It just stays black. And using the previous workaround from comment #4 doesn't work anymore.

$ uname -a
Linux localhost.localdomain 2.6.31.5-112.fc12.x86_64 #1 SMP Tue Nov 3 00:28:52 EST 2009 x86_64 x86_64 x86_64 GNU/Linux

$ cat /etc/redhat-release 
Fedora release 11.92 (Rawhide)
Comment 7 Matěj Cepl 2009-11-05 13:21:54 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Leif Gruenwoldt 2009-11-06 14:32:19 EST
(In reply to comment #7)
> Please, if you experience this problem on the up-to-date system, let us now in
> the comment for this bug, or whether the upgraded system works for you.

I have tested again with a newer build, desktop-i386-20091104.16.iso, and the problem still exists.

There are two cases here

1. booting with KMS (the default)

On boot my secondary DVI display does not light up at all. No flickering or anything. The green status light on my monitor doesn't even come on to indicate a signal. I'm left with no way of logging in because the GDM puts the login on the dark screen. (This was the the same case from comment #6)

2. booting with 'nomodeset' kernel option

On boot the secondary DVI display lights up but flickers very badly just like my original bug report. Adding a custom modeline as in comment #4 fixes the flickering.

I'm not sure how you want to handle this bug. Ignore the 'nomodeset' case and just focuss on getting it to work with KMS?
Comment 9 Leif Gruenwoldt 2009-11-24 23:48:40 EST
From my comment #8, the first case looks like bug #421982 (and presumably duplicates bug #484992 and bug #522238).

Situation, the secondary DVI output does not light up monitor when using KMS. Using VGA connection instead *does* light up monitor with KMS.
Comment 10 Leif Gruenwoldt 2009-11-24 23:51:47 EST
Sorry,

s/bug #421982/bug #521982
Comment 11 Leif Gruenwoldt 2009-12-03 12:41:28 EST
I've filed a new bug #544018 to cover case #1 (booting with KMS) from comment #8
Comment 12 Bug Zapper 2010-04-27 08:54:06 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Vedran Miletić 2010-05-24 14:29:27 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 14 Leif Gruenwoldt 2010-06-09 12:44:14 EDT
This is fixed in F13.
Comment 15 Vedran Miletić 2010-06-09 14:11:05 EDT
Great! Thank you for reporting back.

Note You need to log in before you can comment on or make changes to this bug.